# GetStringIDForNode(string)

Method in [Dialogue](/2.3/api/csharp/yarn/yarn.dialogue.md)

## Summary

Returns the string ID that contains the original, uncompiled source text for a node.

```csharp
public string GetStringIDForNode(string nodeName)
```

## Remarks

A node's source text will only be present in the string table if its `tags` header contains `rawText`.

Because the [Dialogue](/2.3/api/csharp/yarn/yarn.dialogue.md) class is designed to be unaware of the contents of the string table, this method does not test to see if the string table contains an entry with the line ID. You will need to test for that yourself.

## Parameters

| Name              | Description           |
| ----------------- | --------------------- |
| `string` nodeName | The name of the node. |

## Returns

The string ID.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.3/api/csharp/yarn/yarn.dialogue/yarn.dialogue.getstringidfornode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
